/*
    Copyright  1995-2001, The AROS Development Team. All rights reserved.
    $Id: catalog_funcs.c,v 1.5 2014/02/15 19:46:06 itix Exp $
*/

#include <libraries/locale.h>

#include "hashtab.h"
#include "locale_intern.h"

/*
** Dispose the catalog's strings but not the Catalog structure 
** itself.
*/
void dispose_catalog(struct IntCatalog * cat,
                     struct LocaleBase * LocaleBase)
{
	hashtable *h = cat->ic_HashTable;

	if (h)
	{
		if (h->chaining)
			FreeMem(h->chaining, h->hash_size * sizeof(size_t));

		FreeMem(h, h->allocsize);
	}
}
