#ifndef __LANGUAGE_H__
#define __LANGUAGE_H__

/*
 *  Copyright  2007 The MorphOS Development Team, All Rights Reserved.
 *
 *  $Id: language.h,v 1.2 2009/12/05 18:08:29 itix Exp $
 */

/* Bit masks for locale #?.language functions. */
#define LF_ConvToLower      (1L << 0)
#define LF_ConvToUpper      (1L << 1)
#define LF_Private2         (1L << 2)
#define LF_GetLangStr       (1L << 3)
#define LF_IsAlNum          (1L << 4)
#define LF_IsAlpha          (1L << 5)
#define LF_IsCntrl          (1L << 6)
#define LF_IsDigit          (1L << 7)
#define LF_IsGraph          (1L << 8)
#define LF_IsLower          (1L << 9)
#define LF_IsPrint          (1L << 10)
#define LF_IsPunct          (1L << 11)
#define LF_IsSpace          (1L << 12)
#define LF_IsUpper          (1L << 13)
#define LF_IsXDigit         (1L << 14)
#define LF_ToUpper          (1L << 15)
#define LF_StringComp       (1L << 16)
#define LF_GetLangStrU      (1L << 17)
#define LF_GetCE            (1L << 18)

/* We use these in the code table ctype array to indicate the types that a
   character belongs to, and test against them in the IsXXXXX functions.
   They're not a requirement, though. If you implement your own IsXXXX
   functions you can do as you see fit.
   Note, however, that the code table functions in this file ought to be
   valid for any code table with single-byte characters. Replacing the
   values in the code table arrays ought to be enough to provide a language
   with support for a different code table.
*/
#define iAlpha  (1 << 0)    /* Alphabetical characters */
#define iCntrl  (1 << 1)    /* A control character */
#define iDigit  (1 << 2)    /* Digit */
#define iGraph  (1 << 3)    /* Graphical */
#define iLower  (1 << 4)    /* Lower case alphabetical */
#define iPrint  (1 << 5)    /* Printable */
#define iPunct  (1 << 6)    /* Punctuation */
#define iSpace  (1 << 7)    /* Whitespace */
#define iUpper  (1 << 8)    /* Upper case */
#define iXDigit (1 << 9)    /* Hexadecimal digit */

/* This is not in the array. It's only used for testing against:
*/
#define iAlNum  (iAlpha | iDigit)  /* Alphanumerical character. */

/* UNICODE */

// Similar but are not the same, diaeresis is ''
#define COMBINING_DIAERESIS 0x308
#define COMBINING_DOUBLE_ACUTE_ACCENT 0x30b

// Swedish o, ''
#define COMBINING_RING_ABOVE 0x30a


#endif /* __LANGUAGE_H__ */
